kr.co.hanwha.hifive.admin.network

## Enum MemberStatusCode

- java.lang.Object
- - java.lang.Enum<MemberStatusCode>
  - - kr.co.hanwha.hifive.admin.network.MemberStatusCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MemberStatusCode>

    public enum MemberStatusCode
    extends java.lang.Enum<MemberStatusCode>

Member Status

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETED` 삭제
`DISABLE` 이용 중지
`NORMAL` 정상
`NULL` NULL
`WAITING_REGISTRATION` 신규 등록 대기

### Field Summary

Fields
`private int` `mStatus`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getCode()`
`static MemberStatusCode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MemberStatusCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### NULL

    public static final MemberStatusCode NULL

NULL

#### NORMAL

    public static final MemberStatusCode NORMAL

정상

#### WAITING_REGISTRATION

    public static final MemberStatusCode WAITING_REGISTRATION

신규 등록 대기

#### DELETED

    public static final MemberStatusCode DELETED

삭제

#### DISABLE

    public static final MemberStatusCode DISABLE

이용 중지

### Field Detail

#### mStatus

    private int mStatus

### Method Detail

#### values

    public static MemberStatusCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MemberStatusCode c : MemberStatusCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MemberStatusCode valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getCode

    public int getCode()